## Update a Request `client.CloudforceOne.Requests.Update(ctx, requestID, params) (*Item, error)` **put** `/accounts/{account_id}/cloudforce-one/requests/{request_id}` Updating a request alters the request in the Cloudforce One queue. This API may be used to update any attributes of the request after the initial submission. Only fields that you choose to update need to be add to the request body. ### Parameters - `requestID string` UUID. - `params RequestUpdateParams` - `AccountID param.Field[string]` Path param: Identifier. - `Content param.Field[string]` Body param: Request content. - `Priority param.Field[string]` Body param: Priority for analyzing the request. - `RequestType param.Field[string]` Body param: Requested information from request. - `Summary param.Field[string]` Body param: Brief description of the request. - `TLP param.Field[RequestUpdateParamsTLP]` Body param: The CISA defined Traffic Light Protocol (TLP). - `const RequestUpdateParamsTLPClear RequestUpdateParamsTLP = "clear"` - `const RequestUpdateParamsTLPAmber RequestUpdateParamsTLP = "amber"` - `const RequestUpdateParamsTLPAmberStrict RequestUpdateParamsTLP = "amber-strict"` - `const RequestUpdateParamsTLPGreen RequestUpdateParamsTLP = "green"` - `const RequestUpdateParamsTLPRed RequestUpdateParamsTLP = "red"` ### Returns - `type Item struct{…}` - `ID string` UUID. - `Content string` Request content. - `Created Time` - `Priority Time` - `Request string` Requested information from request. - `Summary string` Brief description of the request. - `TLP ItemTLP` The CISA defined Traffic Light Protocol (TLP). - `const ItemTLPClear ItemTLP = "clear"` - `const ItemTLPAmber ItemTLP = "amber"` - `const ItemTLPAmberStrict ItemTLP = "amber-strict"` - `const ItemTLPGreen ItemTLP = "green"` - `const ItemTLPRed ItemTLP = "red"` - `Updated Time` - `Completed Time` - `MessageTokens int64` Tokens for the request messages. - `ReadableID string` Readable Request ID. - `Status ItemStatus` Request Status. - `const ItemStatusOpen ItemStatus = "open"` - `const ItemStatusAccepted ItemStatus = "accepted"` - `const ItemStatusReported ItemStatus = "reported"` - `const ItemStatusApproved ItemStatus = "approved"` - `const ItemStatusCompleted ItemStatus = "completed"` - `const ItemStatusDeclined ItemStatus = "declined"` - `Tokens int64` Tokens for the request. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/cloudforce_one" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"), option.WithAPIEmail("user@example.com"), ) item, err := client.CloudforceOne.Requests.Update( context.TODO(), "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", cloudforce_one.RequestUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", item.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "content": "What regions were most effected by the recent DoS?", "created": "2022-04-01T05:20:00Z", "priority": "2022-04-01T05:20:00Z", "request": "Victomology", "summary": "DoS attack", "tlp": "clear", "updated": "2022-04-01T05:20:00Z", "completed": "2022-04-01T05:20:00Z", "message_tokens": 1, "readable_id": "RFI-2022-000001", "status": "open", "tokens": 16 } } ```